org.apache.hadoop.fs

## Class UnsupportedFileSystemException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.hadoop.fs.UnsupportedFileSystemException

- All Implemented Interfaces:
    Serializable

      @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class UnsupportedFileSystemException
      extends IOException

  File system for a given file system name/scheme is not supported
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedFileSystemException(String message)` Constructs exception with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedFileSystemException

          public UnsupportedFileSystemException(String message)

      Constructs exception with the specified detail message.
      Parameters:
        `message` - exception message.

Copyright © 2022 Apache Software Foundation. All rights reserved.